Bug 800022 - NullPointerException in refreshVdsRunTimeInfo , when running BE
NullPointerException in refreshVdsRunTimeInfo , when running BE
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lpeer
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 10:57 EST by Avihai Shoham
Modified: 2012-12-13 03:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 03:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log.2012-03-04 (3.82 MB, application/octet-stream)
2012-03-05 10:57 EST, Avihai Shoham
no flags Details

  None (edit)
Description Avihai Shoham 2012-03-05 10:57:41 EST
Created attachment 567677 [details]
server.log.2012-03-04

Description of problem:

after getting new source code , compiled it and run the BE i got an err regarding getVDSbyVdsID. I consulted with EliM and remove all content from "deployment" and "tmp" folders , and then re-run BE. This cause NullPointerException in refreshVdsRunTimeInfo.
see attached log.

Observed by EliM


Steps to Reproduce:

git branch 
git fetch -v
git rebase orginate master
git rebase origin/master 
./upgrade.sh -u postgres engine 
mvn clean install -DskipTests -Pgwt-admin,gwt-user 
start BE
--> getting err regarding getVDSbyVdsID when running BE
Removing all contents from "deployment" and "tmp" folders
re-start BE
Comment 1 Itamar Heim 2012-12-13 03:13:25 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.